.productDetailsContainer {
  display: flex;
  flex-direction: column;
}

.productDetailsContainer .row {
  display: flex;
  flex-direction: row;
  position: relative;
  background-color: #fff;
}

.section-product-details {
  margin-top: 149px;
}

.productDetailsContainer .row .product-imagtes-container {
  height: 340px;
  width: 340px;
  margin: 0 16px 0 0;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  position: sticky;
  top: 77px;
}

.productDetailsContainer .row .product-imagtes-container .thumbnails-container {
  width: 100%;
  height: 80px;
  margin-right: 0;
  display: flex;
  flex-direction: row;
  flex-shrink: 0;
  flex-grow: 0;
  overflow-y: auto;
}

.productDetailsContainer .row .product-imagtes-container .thumbnails-container .thumbnail {
  position: relative;
  width: 80px;
  border-width: 2px;
  border-style: solid;
  border-color: rgb(248 248 248);
  box-sizing: border-box;
  border-radius: 6px;
  cursor: pointer;
}

.productDetailsContainer .row .product-imagtes-container .thumbnails-container .thumbnail.active {
  border-color: rgb(71 167 183 / 31%);
}

.productDetailsContainer .row .product-imagtes-container .thumbnails-container .thumbnail::after {
  content: "";
  display: block;
  padding-bottom: 100%;

}

.productDetailsContainer .row .product-imagtes-container .thumbnails-container .thumbnail .container {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  padding: 8px;
  box-sizing: border-box;
}

.productDetailsContainer .row .product-imagtes-container .thumbnails-container .thumbnail .container img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.productDetailsContainer .row .imageContainer {
  height: 100%;
  width: 100%;
  padding: 16px;
  display: flex;
  justify-content: center;
  box-sizing: border-box;
}

.productDetailsContainer .row .imageContainer img {
  height: 100%;
}

.productDetailsContainer .row .help-container {
  width: fit-content;
  margin: 0 0 0 16px;
}

.productDetailsContainer .row .help-container h4 {
  margin-block-start: 0em;
  font-family: 'Cabin-Medium';
  font-weight: normal;
  color: rgb(0 0 0 / 90%);
}

.productDetailsContainer .row .productDescriptionContainer {
  margin: 0 16px;
  color: #000c;
  width: auto;
  flex-grow: 1;
}

.productDetailsContainer .row .productDescriptionContainer h2 {
  font-family: 'Cabin-Regular';
  font-weight: normal;
  color: #000;
  margin-block-start: 0;
  max-width: 550px;
}

.productDetailsContainer .row .productDescriptionContainer .description-text {
  margin-block-end: 1.83em;
  width: 75%;
  max-width: 550px;
}

.productDetailsContainer .row .deal-container {
  display: flex;
  flex-direction: column;
  margin-top: 32px;
}

.productDetailsContainer .row .discount-label {
  color: #f78209;
  font-family: 'Cabin-Regular';
  font-size: 1.1em;
  margin-block-start: 0;
  margin-block-end: 0.1em;
}

.productDetailsContainer .row .discount-percentage {
  font-family: 'Cabin-Regular';
  font-weight: normal;
  color: #f78209;
  font-size: 1.77em;
  margin-block-start: 0;
  margin-right: 16px;
  margin-block-end: 0;
}

.productDetailsContainer .row .price {
  font-family: 'Cabin-Bold';
  font-weight: normal;
  color: rgb(0 0 0);
  font-size: 2em;
  margin-block-start: 0;
  margin-block-end: 0;
  position: relative;
}

.productDetailsContainer .row .price sup {
  color: #ffffff;
  background-color: #f78209;
  background-image: linear-gradient(rgba(255, 255, 255, 0), rgba(255, 255, 255, 0)), linear-gradient(101deg, #f58c19, #f78209);
  padding: 9px 11px;
  border-radius: 6px;
  font-size: 0.45em;
  line-height: 0.45em;
  margin-block-start: 0;
  margin-top: -2px;
  margin-left: 6px;
  position: absolute;
}

.productDetailsContainer .row .old-price {
  margin-block-start: 0.66em;
  margin-block-end: 0.66em;
  font-family: 'Cabin-Medium';
  font-weight: normal;
  color: rgb(0 0 0 / 70%);
  font-size: 0.9em;
}

.productDetailsContainer .row .old-price span {
  text-decoration: line-through;
}

.productDetailsContainer .row .btns-container {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  flex-wrap: nowrap;
  margin-top: 16px;
}

.productDetailsContainer .row .btns-container .button {
  white-space: nowrap;
}

.productDetailsContainer .row .btns-container .button.filled {
  font-size: unset;
  line-height: unset;
  margin-left: 16px;
  padding: 8px 18px;
}

.productDetailsContainer .row .productDescriptionContainer h4 {
  margin-block-start: 0.66em;
  margin-block-end: 0.66em;
  font-family: 'Cabin-Medium';
  font-weight: normal;
  color: rgb(0 0 0 / 90%);
}

.productDetailsContainer .row .productDescriptionContainer .country-flag-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-block-start: 0.66em;
  margin-block-end: 0.66em;
}

.productDetailsContainer .row .productDescriptionContainer .country-flag-container h4 {
  margin-block-start: 0;
  margin-block-end: 0;
}

.productDetailsContainer .row .productDescriptionContainer .country-flag-container a {
  color: rgb(0 0 0 / 90%);
  margin-left: 4px;
}

.productDetailsContainer .row .productDescriptionContainer .country-flag {
  height: 14px;
  margin-left: 8px;
}

.productDetailsContainer .row .productDescriptionContainer .country-flag svg {
  height: 100%;
}

.productDetailsContainer .row .productDescriptionContainer p {
  font-weight: normal;
  color: rgb(38 38 38);
  font-size: 0.9em;
  line-height: 1.2em;
}

.productDetailsContainer .row .productDescriptionContainer a {
  color: rgb(33 129 145);
  cursor: pointer;
  font-family: 'Cabin-Bold';
}

.productDetailsContainer .quantity {
  margin: 16px 16px 16px 0;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
}

.productDetailsContainer .quantity>div {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.productDetailsContainer .quantity>div button:first-child {
  margin: 0 8px 0 0;
}

.productDetailsContainer .quantity>div button:last-child {
  margin: 0 0 0 8px;
}

.productDetailsContainer .row .other-data-container {
  margin: 48px 0 0;
  padding: 32px 0 0;
  border-top: 1px solid #f3f3f3;
}

.productDetailsContainer .row .other-data-container .tabs-container {
  width: 100%;
  padding: 16px 0;
}

.productDetailsContainer .row .other-data-container .tabs-container p {
  font-weight: normal;
  color: rgb(38 38 38);
  font-size: 0.95em;
  line-height: 1.2em;
}

.productDetailsContainer .row .other-data-container .tab-switch-btns-container .button {
  border-width: 2px;
  border-color: rgb(248 248 248);
}

.productDetailsContainer .row .other-data-container .tab-switch-btns-container .button.filled {
  color: #48a8b8;
  background-image: unset;
  border-color: rgb(71 167 183 / 31%);
  background-image: linear-gradient(rgba(255, 255, 255, 0), rgba(255, 255, 255, 0)), linear-gradient(101deg, rgb(89 192 209 / 5%), rgb(71 167 183 / 5%));
}

.prodcut-tab {
  display: none;
}

.prodcut-tab.visible {
  display: block;
}

@media screen and (min-width:1400px) and (max-width:1700px) {}

@media screen and (min-width:1260px) and (max-width:1399px) {}

@media screen and (min-width:860px) and (max-width:1259px) {}

@media screen and (min-width:0px) and (max-width:860px) {
  .section-product-details {
    margin-top: 113px;
  }

  .productDetailsContainer .row {
    flex-direction: column;
  }

  .productDetailsContainer .row .product-imagtes-container {
    position: relative;
    top: unset;
    height: 240px;
    margin: 0;
  }

  .productDetailsContainer .row .imageContainer {
    width: 100%;
    height: calc(100% - 64px);
    padding: 0 0 8px 0;
  }

  .productDetailsContainer .row .imageContainer img {
    width: 100%;
    height: 100%;
    object-fit: contain;
  }

  .productDetailsContainer .row .product-imagtes-container .thumbnails-container {
    width: 100%;
    height: 64px;
    border-top-color: #f8f8f8;
    border-top-width: 1px;
    border-top-style: solid;
    padding: 8px 0 0 0;
    box-sizing: border-box;
  }

  .productDetailsContainer .row .product-imagtes-container .thumbnails-container .thumbnail {
    width: 55px;
    height: 55px;
  }

  .productDetailsContainer .row .productDescriptionContainer {
    margin: 24px 0 0;
  }

  .productDetailsContainer .row .productDescriptionContainer .description-text {
    width: 100%;
  }

  .productDetailsContainer .row .btns-container {
    margin-top: 24px;
  }

  .productDetailsContainer .quantity {
    margin: 12px 16px 12px 0;
  }

  .productDetailsContainer .row .other-data-container {
    margin: 24px 0 0;
    padding: 24px 0 0;
  }
}